# `styles`

The styles module is accessible via the `sqlobject` module.

## Attributes

#### a `__package__`

    'sqlobject'

## Classes

#### C `Style(...)` ...

The base Style class, and also the simplest implementation. No translation occurs -- column names and attribute names match, as do class names and table names (when using auto class or schema generation).

This class contains 13 members.

#### C `MixedCaseUnderscoreStyle(...)` ...

This is the default style. Python attributes use mixedCase, while database columns use underscore_separated.

This class contains 14 members.

#### C `DefaultStyle(...)` ...

This is the default style. Python attributes use mixedCase, while database columns use underscore_separated.

This class contains 14 members.

#### C `MixedCaseStyle(...)` ...

This style leaves columns as mixed-case, and uses long ID names (like ProductID instead of simply id).

This class contains 13 members.

See the source for more information.